org.thewonderlemming.c4plantuml.mojo

## Class SyntaxCheckingMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo
    - - org.thewonderlemming.c4plantuml.mojo.SyntaxCheckingMojo

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="check-syntax",
            defaultPhase=COMPILE)
      public class SyntaxCheckingMojo
      extends AbstractParentMojo

  A MOJO that parses the C4 PlantUML that are contained in the output directory and breaks the build if any syntax error is detected.
  Author:
    thewonderlemming

- - ### Field Summary

    - ### Fields inherited from class org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo

      `DEFAULT_SOURCE_FILE_EXTENSION`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyntaxCheckingMojo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doExecute()` Processes the output directory to find syntax errors in the C4 files, and breaks the file if any error was found.

    - ### Methods inherited from class org.thewonderlemming.c4plantuml.mojo.AbstractParentMojo

      `execute, getCurrentCharset, getOutputDirectory, getProject, getSourceFileExtension, processOutputDirectoryFiles, validateSourceFileExtension`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SyntaxCheckingMojo

          public SyntaxCheckingMojo()

  - ### Method Detail

    - #### doExecute

          protected void doExecute()
                            throws org.apache.maven.plugin.MojoExecutionException,
                                   org.apache.maven.plugin.MojoFailureException

      Processes the output directory to find syntax errors in the C4 files, and breaks the file if any error was found.

      An abstract method to hold the children classes execution logic.

      Specified by:
        `doExecute` in class `AbstractParentMojo`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException` - if there is an issue with the build that makes it impossible to continue.
        `org.apache.maven.plugin.MojoFailureException` - if there is any other kind of failures.

Copyright © 2020. All rights reserved.